patchGnash - The GNU Flash player - Patches: patch #7900, Patch to fix build with recent...

 
 

You are not allowed to post comments on this tracker with your current authentification level.

patch #7900: Patch to fix build with recent boost libs

Submitted by:  Brandon Invergo <brandon>
Submitted on:  Sun 09 Dec 2012 12:29:17 PM UTC  
 
Category: buildPriority: 5 - Normal
Status: DonePrivacy: Public
Assigned to: Rob Savoye <rsavoye>Open/Closed: Closed

Sun 09 Dec 2012 04:16:51 PM UTC, comment #3:

The system library has been in boost since version 1.35.0, and using it was optional. Now other boost libraries depend on it, so it's now required. Since it has been around since 1.35.0, it should be safe to make this a required library. As I had additional boost changes in a branch, libchrono is now also required as of 1.47.0 because of dependencies. Needed this library is now version dependent. This modified patch is committed as of #9a5c31b.

Rob Savoye <rsavoye>
Project AdministratorIn charge of this item.
Sun 09 Dec 2012 01:16:14 PM UTC, comment #2:

Oops, sorry, that would be useful information. Version 1.52.0

Brandon Invergo <brandon>
Sun 09 Dec 2012 12:56:26 PM UTC, comment #1:

Against which boost version are you linking?

Bastiaan Jacques <bjacques>
Project Member
Sun 09 Dec 2012 12:29:17 PM UTC, original submission:

In order for Gnash to build properly (with newer Boost libs, I think), the Boost "system" library is required. This is a patch to add "system" to the list of required libraries in boost.m4.

Brandon Invergo <brandon>

 

Attached Files

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by rsavoye (Updated the item)
  • -unavailable- added by bjacques (Posted a comment)
  • -unavailable- added by brandon (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 6 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Thu 25 Jul 2013 08:31:26 AM UTCbjacquesStatusReady For Test=>Done
      Open/ClosedOpen=>Closed
    Sun 09 Dec 2012 04:16:51 PM UTCrsavoyeCategoryNone=>build
      StatusNone=>Ready For Test
      Assigned toNone=>rsavoye
    Sun 09 Dec 2012 12:29:17 PM UTCbrandonAttached File-=>Added gnash-0.8.10-libboost-system.diff, #27058

    Back to the top


    Powered by Savane 3.1-cleanup